# ruff: noqa: INP001, T201, UP006, UP035
# %%

from pathlib import Path
from typing import Iterator

from stream_unzip import stream_unzip

# %%


def zipped_chunks() -> Iterator[bytes]:
    yield Path("test.zip").read_bytes()


# %%


for file_name, file_size, unzipped_chunks in stream_unzip(zipped_chunks(), password=b"my-password"):
    # unzipped_chunks must be iterated to completion or UnfinishedIterationError will be raised
    for chunk in unzipped_chunks:
        print(chunk)
